using ELTE.TodoList.Web.Models;
using ELTE.TodoList.Web.Services;

using var context = new TodoListDbContext();
DbInitializer.Initialize(context);
var service = new TodoListService(context);

// Get all lists
Console.WriteLine("Current lists:");
foreach (var list in service.GetLists())
{
    Console.WriteLine(list.Name);
}

// Get items in list with id 1
int id = 1;
Console.WriteLine();
Console.WriteLine("Current items in List no. " + id + ":");
foreach (var item in service.GetItemsByListID(id))
{
    Console.WriteLine(item.Name);
}

// Add new item to list no.1
Item it = new Item
{
    Name = "Csoki",
    Deadline = DateTime.Now.AddDays(2),
    ListId = 1
};

service.AddItemToList(it);

// Get items in list with id 1
Console.WriteLine();
Console.WriteLine("Current items in List no. " + id + ":");
foreach (var item in service.GetItemsByListID(1))
{
    Console.WriteLine(item.Name);
}

// Rename list with id 1
service.ChangeListName(1, "Shopping list");

// Get all lists
Console.WriteLine();
Console.WriteLine("Current lists:");
foreach (var list in service.GetLists())
{
    Console.WriteLine(list.Name);
}

// Remove item from list no.1
service.RemoveItemByName(id, "Csoki");

// Get items in list with id 1
Console.WriteLine();
Console.WriteLine("Current items in List no. " + id + ":");
foreach (var item in service.GetItemsByListID(1))
{
    Console.WriteLine(item.Name);
}

// Automatically generated content of Program.cs
// We will use it in the next class, so we keep it around until then.
/*
var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
builder.Services.AddControllersWithViews();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (!app.Environment.IsDevelopment())
{
    app.UseExceptionHandler("/Home/Error");
}

app.UseHttpsRedirection();
app.UseStaticFiles();

app.UseRouting();

app.UseAuthorization();

app.MapControllerRoute(
    name: "default",
    pattern: "{controller=Home}/{action=Index}/{id?}");

app.Run();
*/